/*************************************************************************
 *                                                                       *
 * GLE - Graphics Layout Engine <http://www.gle-graphics.org/>           *
 *                                                                       *
 * BSD License                                                           *
 *                                                                       *
 * Copyright (c).                                                        *
 * All rights reserved.                                                  *
 *                                                                       *
 * Redistribution and use in source and binary forms, with or without    *
 * modification, are permitted provided that the following conditions    *
 * are met:                                                              *
 *                                                                       *
 *  * Redistributions of source code must retain the above copyright     *
 *  notice, this list of conditions and the following disclaimer.        *
 *                                                                       *
 *  * Redistributions in binary form must reproduce the above            *
 *  copyright notice, this list of conditions and the following          *
 *  disclaimer in the documentation and/or other materials provided      *
 *  with the distribution.                                               *
 *                                                                       *
 *  * Neither the name of GLE nor the names of its contributors may      *
 *  be used to endorse or promote products derived from this software    *
 *  without specific prior written permission.                           *
 *                                                                       *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   *
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     *
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR *
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  *
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, *
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      *
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, *
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY *
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   *
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE *
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  *
 *                                                                       *
 *************************************************************************/

#ifndef INCLUDE_ALL
#define INCLUDE_ALL

#include "basicconf.h"

//
// all.h file for GLE
//
// #include <assert.h>
// #include <ctype.h>
// #include <assert.h>
// #include <time.h>
// #include <errno.h>
// #include <sys/types.h>
// #include <sys/stat.h>
// #include <ctype.h>

#include <fstream>
#include <sstream>
#include <vector>

#ifdef M_PI
	#define GLE_PI M_PI
#else
	#define GLE_PI 3.14159265358979323846
#endif

#if defined(__UNIX__) && defined(HAVE_X11)
	#define ENABLE_GS_PREVIEW
#endif

//
// -- containers
//
typedef vector< vector<int> > _GlobalPCode;
typedef vector< vector<int> >::iterator _itGlobalPCode;
typedef vector< vector<int> >::const_iterator _citGlobalPCode;

typedef vector<int> _PCode;
typedef vector<int>::iterator _itPCode;
typedef vector<int>::const_iterator _citPCode;

typedef vector<string> _Tokens;
typedef vector<string>::iterator _itTokens;
typedef vector<string>::const_iterator _citTokens;

#include "glepro.h"

#endif
